<div class="head">
  <mat-toolbar>
    <div class="heading-1">General Information</div>
    <a [routerLink]="['tokens']">Pod tokens</a>
    <a [routerLink]="['circles']">Pod circles</a>
    <a [routerLink]="['/apps']">Back to pods</a>
  </mat-toolbar>
</div>

<div class="info-general">
  <div class="info text">What should we call your creation? What amazing things does it do? What icon should represent it
    across Picnic? Tell us here!
  </div>
  <div class="consent subtext">By clicking Update, you agree to the Picnic Developer Terms of Service and Developer Policy.</div>
</div>

<div class="app-data" *ngIf="app$ | async; let app">
  <div *ngIf="appTags$ | async; let appTags">
    <div class="left">
      <div class="avatar-image">
        <img *ngIf="app.imageUrl" [ngSrc]="app.imageUrl" width="144" height="144"/>
      </div>
    </div>
    <div class="right">
      <devportal-app-form *ngIf="appTags.length > 0" [app]="app" [appTags]="appTags"></devportal-app-form>
      <br/>
      <div class="footer">
        <button mat-raised-button color="warn" (click)="onDelete()">Delete</button>
      </div>
    </div>
  </div>
</div>
